KFileMimeTypeInfo::ItemInfo Class Reference

`#include <kfilemetainfo.h>`

## Public Member Functions

const QString & | prefix () const
const QString & | suffix () const
QVariant::Type | type () const
const QString & | key () const
QString | string (const QVariant &value, bool mangle=true) const
bool | isVariableItem () const
const QString & | translatedKey () const
uint | attributes () const
uint | hint () const
uint | unit () const

## Friends

class | KFilePlugin
class | GroupInfo

## Detailed Description

This is the class for one item of a KFileMimeTypeInfo.

It contains every information about a KFileMetaInfoItem that this item has in common for each file of a specific mimetype.

Definition at line 250 of file kfilemetainfo.h.

## Member Function Documentation

uint KFileMimeTypeInfo::ItemInfo::attributes | ( |  | ) | const

inline

Return the attributes of the item.

See KFileMimeTypeInfo::Attributes.

Returns
  the attributes

Definition at line 341 of file kfilemetainfo.h.

uint KFileMimeTypeInfo::ItemInfo::hint | ( |  | ) | const

inline

Return the hints for the item.

See KFileMimeTypeInfo::Hint

Returns
  the hint

Definition at line 351 of file kfilemetainfo.h.

bool KFileMimeTypeInfo::ItemInfo::isVariableItem | ( |  | ) | const

inline

Is this item the variable item?

Returns
  true if it is, false if not

Definition at line 319 of file kfilemetainfo.h.

const QString& KFileMimeTypeInfo::ItemInfo::key | ( |  | ) | const

inline

Returns the name of the item.

Returns
  the name of the item

Definition at line 296 of file kfilemetainfo.h.

const QString& KFileMimeTypeInfo::ItemInfo::prefix | ( |  | ) | const

inline

This method returns a translated prefix to be displayed before the value.

Think e.g. of the $ in $30

Returns
  the prefix

Definition at line 265 of file kfilemetainfo.h.

QString KFileMimeTypeInfo::ItemInfo::string | ( | const QVariant & | value,
|  | bool | mangle = `true`
| ) |  | const

Returns a string for the specified `value`, if possible.

If not, QString::null is returned. This can be used by programs if they want to display a sum or an average of some item for a list of files.

Parameters

  value | the value to convert
  mangle | if true, the string will already contain prefix and suffix

Returns
  the converted string, or QString::null if not possible

Since
  3.1

Definition at line 1603 of file kfilemetainfo.cpp.

const QString& KFileMimeTypeInfo::ItemInfo::suffix | ( |  | ) | const

inline

This method returns a translated suffix to be displayed after the value.

Think of the kbps in 128kbps

Returns
  the prefix

Definition at line 276 of file kfilemetainfo.h.

const QString& KFileMimeTypeInfo::ItemInfo::translatedKey | ( |  | ) | const

inline

Returns a translation of the key for displaying to the user.

If the plugin provides translation to the key, it's also in the user's language.

Returns
  the translated key

Definition at line 331 of file kfilemetainfo.h.

QVariant::Type KFileMimeTypeInfo::ItemInfo::type | ( |  | ) | const

inline

The items for a file are stored as a QVariant and this method can be used to get the data type of this item.

Returns
  the QVariant type

Definition at line 287 of file kfilemetainfo.h.

uint KFileMimeTypeInfo::ItemInfo::unit | ( |  | ) | const

inline

Return the unit of the item.

See KFileMimeTypeInfo::Unit

Returns
  the unit

Definition at line 361 of file kfilemetainfo.h.

The documentation for this class was generated from the following files:

- kfilemetainfo.h
- kfilemetainfo.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys